Serveur CB de Minecraft / Spigot Compatibilité multi-versions

Donc, ce n'est pas nécessairement un problème, mais plutôt comme une situation de I-NEED-HELP. Donc, mon serveur utilise actuellement Spigot 1.7.2-1.7.5 et je me demandais s'il existait un moyen d'avoir mon serveur compatible avec plusieurs versions de Minecraft. Par exemple, j'utilise CB 1.6.4 et d'autres personnes sur des versions relativement récentes auxquelles les clients peuvent se joindre. Je ne sais pas comment je devrais faire cela. J'ai vérifié de nombreux forums, ils ne l'ont pas aidé. J'utilise également BungeeCord si cela permet d'exécuter la compatibilité de plusieurs versions.

J'ai également mentionné les serveurs suivants, car ils peuvent exécuter plusieurs versions, vérifiez simplement avec la commande /version :

Mineplex: us.mineplex.com Hive: play.hivemc.com Et bien d'autres.

Je crois que CB snapshot est en cours d'exécution, mais cela ne résout pas encore la question. Ne me dites pas que j'ai besoin d'un plugin pour implémenter le CB instantané. S'il n'y a pas d'autre façon, dites-moi les moyens.

2 Solutions collect form web for “Serveur CB de Minecraft / Spigot Compatibilité multi-versions”

Pour autant que je sache, il n'y a pas -> facile <- de faire fonctionner un serveur de plusieurs versions. Je sais que ce serait possible, mais le gros problème est le protocole de version / paquet. Vous ne pouvez pas avoir un seul serveur qui permet des versions multiples, car vous devriez soit causer des problèmes de client pour des clients plus anciens que le serveur (problème qui signifie blocs manquants, biomes, mobs, etc.) ou le serveur ne pourrait pas gérer Certaines des fonctionnalités les plus récentes de Minecraft utilisées par de nouveaux clients (les nouveaux blocs ne peuvent pas être placés, de nouveaux mobs ne génèrent pas, les nouveaux biomes ne généreraient pas).

Si vous vouliez avoir un serveur multi-versions, vous auriez probablement besoin d'un concentrateur qui détecte la version client puis sélectionne les protocoles corrects pour une connexion réussie. Ce hub devrait ensuite rediriger les joueurs vers un autre serveur qui correspond à leurs informations de version (ou est au moins compatible). Mais quant à un seul serveur qui permet une fonctionnalité complète pour toutes les versions, vous devriez essentiellement réécrire le jeu.

Je joue sur le serveur buildfreeks. Ils permettent de se connecter plusieurs versions et vous obtenez les mêmes parcelles avec toutes les mêmes choses, peu importe la version que vous exécutez. De plus, vous pouvez voir et interagir avec d'autres joueurs exécutant d'autres versions sur le même serveur.

  • Comment puis-je essayer Minecraft de penser que deux ordinateurs sont sur le même réseau wifi?
  • Comment organiser un jeu de survie multijoueur dans Minecraft?
  • Pourquoi mon serveur LAN Minecraft ne fonctionne-t-il pas?
  • Comment les amis viennent-ils sur mon serveur ftb?
  • Existe-t-il un moyen de définir une «limite de mode d'aventure» dans Minecraft?
  • Vanilla 1.8 détecte un nouveau joueur
  • Qu'est-ce qui est affecté par une vue-distance plus élevée du côté du serveur?
  • "Hôte inconnu" Bukkit 1.7.10
  • Hébergement de mon propre serveur pour l'édition de poche Minecraft
  • Comment puis-je exécuter un serveur Minecraft sur plusieurs processeurs CPU?
  • Changer le nom du serveur Minecraft?